Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.report.xls
Class LegendInfo

    java.lang.Object
      jet.report.xls.LegendInfo

    public class LegendInfo

extends java.lang.Object

contains the information of chart legend in the file.

Field Summary
`static short` | `AUTOPOSITION`
`static short` | `AUTOPOSX`
`static short` | `AUTOPOSY`
`static short` | `AUTOSERIES`
`static byte` | `BOTTOM`
`static byte` | `CORNER`
`static byte` | `LEFT`
`static byte` | `NODOCK`
`static byte` | `RIGHT`
`static byte` | `TOP`
`static short` | `VERT`

Constructor Summary
`LegendInfo()` Constructs a LegendInfo class
`LegendInfo(int x, int y, int width, int height, byte type, short grbit)` Constructs a LegendInfo class and sets its fields appropriately.

Method Summary
`FontInfo` | `getFontInfo()` Get the Information of legend text font
`int` | `getHeight()` Get the height of chart legend
`ChartAreaInfo` | `getLegendArea()` Get the Information of legend Area
`byte` | `getType()` get the type of the location of the legend relative to the plot rectangle of the chart
`int` | `getWidth()` Get the width of chart legend
`int` | `getX()` Get the x position of chart legend
`int` | `getY()` Get the y position of chart legend
`boolean` | `isAutoPosition()` get whether to use automatic position
`boolean` | `isAutoPosX()` get whether to use automatic X position
`boolean` | `isAutoPosY()` get whether to use automatic Y position
`boolean` | `isAutoSeries()` get whether to use automatic Series
`boolean` | `isVert()` get whether to use vertical legend (a single column of entries)
`void` | `setAutoPosition(boolean b)` set whether to use automatic position
`void` | `setAutoPosX(boolean b)` set whether to use automatic X position
`void` | `setAutoPosY(boolean b)` set whether to use automatic Y position
`void` | `setAutoSeries(boolean b)` set whether to use automatic series
`void` | `setFontInfo(FontInfo fontInfo)` Set the Information of legend text font
`void` | `setHeight(int height)` Set the height of chart legend
`void` | `setLegendArea(ChartAreaInfo legendAreaInfo)` Set the Information of legend Area
`void` | `setType(byte type)` set the type of the location of the legend relative to the plot rectangle of the chart
`void` | `setVert(boolean b)` set whether to use vertical legend
`void` | `setWidth(int width)` Set the width of chart legend
`void` | `setX(int x)` Set the x position of chart legend
`void` | `setY(int y)` Set the y position of chart legend

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BOTTOM

    public static final byte BOTTOM

See Also:
  Constant Field Values

### CORNER

    public static final byte CORNER

See Also:
  Constant Field Values

### TOP

    public static final byte TOP

See Also:
  Constant Field Values

### RIGHT

    public static final byte RIGHT

See Also:
  Constant Field Values

### LEFT

    public static final byte LEFT

See Also:
  Constant Field Values

### NODOCK

    public static final byte NODOCK

See Also:
  Constant Field Values

### AUTOPOSITION

    public static final short AUTOPOSITION

See Also:
  Constant Field Values

### AUTOSERIES

    public static final short AUTOSERIES

See Also:
  Constant Field Values

### AUTOPOSX

    public static final short AUTOPOSX

See Also:
  Constant Field Values

### AUTOPOSY

    public static final short AUTOPOSY

See Also:
  Constant Field Values

### VERT

    public static final short VERT

See Also:
  Constant Field Values

Constructor Detail

### LegendInfo

    public LegendInfo()

  Constructs a LegendInfo class

### LegendInfo

    public LegendInfo(int x,
                      int y,
                      int width,
                      int height,
                      byte type,
                      short grbit)

  Constructs a LegendInfo class and sets its fields appropriately.

  Parameters:
    `x` - x-position of upper-left corner
    `y` - y-position of upper-left corner
    `width` - width of the Legend
    `height` - height of the Legend
    `type` - defines the location of the legend relative to the plot rectangle of the chart
    `grbit` - option flags

Method Detail

### setX

    public void setX(int x)

  Set the x position of chart legend

### getX

    public int getX()

  Get the x position of chart legend

  Returns:
    the x position of chart legend

### setY

    public void setY(int y)

  Set the y position of chart legend

### getY

    public int getY()

  Get the y position of chart legend

  Returns:
    the y position of chart legend

### setWidth

    public void setWidth(int width)

  Set the width of chart legend

### getWidth

    public int getWidth()

  Get the width of chart legend

  Returns:
    the width of chart legend

### setHeight

    public void setHeight(int height)

  Set the height of chart legend

### getHeight

    public int getHeight()

  Get the height of chart legend

  Returns:
    the height of chart legend

### setType

    public void setType(byte type)

  set the type of the location of the legend relative to the plot rectangle of the chart

  Parameters:
    `type` - is the type of the location of the legend relative to the plot rectangle of the chart
  See Also:
    `BOTTOM`, `CORNER`, `TOP`, `RIGHT`, `LEFT`, `NODOCK`

### getType

    public byte getType()

  get the type of the location of the legend relative to the plot rectangle of the chart

### setLegendArea

    public void setLegendArea(ChartAreaInfo legendAreaInfo)

  Set the Information of legend Area

  Parameters:
    `legendAreaInfo` - the Information of legend Area

### getLegendArea

    public ChartAreaInfo getLegendArea()

  Get the Information of legend Area

  Returns:
    the Information of legend Area

### isAutoPosition

    public boolean isAutoPosition()

  get whether to use automatic position

  Returns:
    whether to use automatic position or not

### setAutoPosition

    public void setAutoPosition(boolean b)

  set whether to use automatic position

  Parameters:
    `b` - - use automatic position or not

### isAutoSeries

    public boolean isAutoSeries()

  get whether to use automatic Series

  Returns:
    whether to use automatic series or not

### setAutoSeries

    public void setAutoSeries(boolean b)

  set whether to use automatic series

  Parameters:
    `b` - - use automatic series or not

### isAutoPosX

    public boolean isAutoPosX()

  get whether to use automatic X position

  Returns:
    whether to use automatic X position or not

### setAutoPosX

    public void setAutoPosX(boolean b)

  set whether to use automatic X position

  Parameters:
    `b` - - use automatic X position or not

### isAutoPosY

    public boolean isAutoPosY()

  get whether to use automatic Y position

  Returns:
    whether to use automatic Y position or not

### setAutoPosY

    public void setAutoPosY(boolean b)

  set whether to use automatic Y position

  Parameters:
    `b` - - use automatic Y position or not

### isVert

    public boolean isVert()

  get whether to use vertical legend (a single column of entries)

  Returns:
    whether to use vertical legend or not

### setVert

    public void setVert(boolean b)

  set whether to use vertical legend

  Parameters:
    `b` - - use vertical legend or not

### setFontInfo

    public void setFontInfo(FontInfo fontInfo)

  Set the Information of legend text font

  Parameters:
    `fontInfo` - the Information of legend text font

### getFontInfo

    public FontInfo getFontInfo()

  Get the Information of legend text font

  Returns:
    the Information of legend text font

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD